Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
gns3 [Le 01/05/2020, 12:31]
retho [Pré-requis]
gns3 [Le 18/05/2022, 08:50] (Version actuelle)
77.159.194.254 [Pré-requis]
Ligne 4: Ligne 4:
  
 ====== GNS3 ====== ====== GNS3 ======
- 
-<note important>​L'​utilisation de cet outil implique que vous ayez à disposition des IOS de routeurs Cisco que vous pouvez obtenir si vous disposez d'un compte Cisco CCO</​note>​ 
  
  
Ligne 40: Ligne 38:
 Il est donc recommandé d'​utiliser une de ces versions d’Ubuntu pour bénéficier des dernières mise à jour de GNS3. Il est donc recommandé d'​utiliser une de ces versions d’Ubuntu pour bénéficier des dernières mise à jour de GNS3.
 </​note>​ </​note>​
 +
 +<note important>​
 +Le logiciel GNS3 permet de virtualiser des équipements réseaux mais n'en contient pas directement,​ a part quelque commutateurs basique développé en interne, il vous faut donc posséder des images de routeurs ou commutateurs de votre choix pour utiliser pleinement GNS3. 
 +Vous pouvez récupérer les dernières images des IOS Cisco grâce à un compte [[https://​learningnetworkstore.cisco.com/​cisco-virtual-internet-routing-lab/​personal-edition-virl-pe-20-nodes-virl-20|VIRL]] qui est malheureusement payant (199$ par an) mais vous permet d'​avoir les dernières images IOS de chez Cisco.
 +Une autre solution est d'​utiliser les appliances créées par les différents constructeurs (VyOS, Juniper, FRR, Cumulus, Arista, ...)  au fil du temps pour être utilisé sur GNS3, vous pouvez trouver ces appliances sur la page officielle : https://​gns3.com/​marketplace/​appliances
 +</​note>​
 +
 ===== Installation ===== ===== Installation =====
  
-<note important>​Dans les dépôts Multiverse, un paquet GNS3 0.8.6 est présent, mais il n'est plus supporté par les développeurs et la communauté de GNS3. Cette version ne supporte que du vieux matériel et le format de fichier n'est pas compatible avec les versions récentes de GNS3.+<note important>​Dans les dépôts Multiverse ​jusqu'​a [[:​bionic|Ubuntu Bionic]], un paquet GNS3 0.8.6 ou GNS3 0.8.7 est présent, mais il n'est plus supporté par les développeurs et la communauté de GNS3 depuis 2014. Cette version ne supporte que du vieux matériel et le format de fichier n'est pas compatible avec les versions récentes de GNS3.
 </​note>​ </​note>​
  
Ligne 51: Ligne 56:
     sudo add-apt-repository ppa:​gns3/​ppa     sudo add-apt-repository ppa:​gns3/​ppa
     sudo apt update     sudo apt update
 +    sudo apt install gns3-gui gns3-server
  
-Il ne vous reste maintenant plus qu'à installer le paquet **[[apt>​gns3-gui]]**. 
  
-Après l'​installation,​ l'​application apparaîtra dans la section "​Éducation"​ du menu "​Applications"​.+Après l'​installation,​ l'​application apparaîtra ​sous le nom GNS3 dans le menu applicatif.
  
 ===== Configuration ===== ===== Configuration =====
Ligne 109: Ligne 114:
  
   * [[http://​www.ipflow.utc.fr/​index.php/​Cisco_7200_Simulator]] (en)   * [[http://​www.ipflow.utc.fr/​index.php/​Cisco_7200_Simulator]] (en)
 +  * [[https://​gns3.com/​]] (en)
   * [[http://​www.dynagen.org/​]] (en)   * [[http://​www.dynagen.org/​]] (en)
   * [[http://​www.it-connect.fr/​importer-une-machine-virtualbox-dans-gns3|Importer une machine virtuelle VirtualBox dans GNS3]] sur IT-Connect (fr)   * [[http://​www.it-connect.fr/​importer-une-machine-virtualbox-dans-gns3|Importer une machine virtuelle VirtualBox dans GNS3]] sur IT-Connect (fr)
Ligne 114: Ligne 120:
 ---- ----
  
-//​Contributeurs : [[utilisateurs:​va-nu-pied|flo|va-nu-pied]].//​+//​Contributeurs : [[utilisateurs:​va-nu-pied|flo|va-nu-pied]], [[utilisateurs:​retho]].//
  • gns3.1588329087.txt.gz
  • Dernière modification: Le 01/05/2020, 12:31
  • par retho